summaryrefslogtreecommitdiff
path: root/script/handle
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-30 20:04:02 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-30 20:06:29 +0100
commit26fc3f13254e38ddd6903e7e18e0945b4e6fe63d (patch)
tree0baf792f50daea402a9a35dec25bb2aa6e89ac3d /script/handle
parent0a0defd3256ff5e29e3b4d129a04fb7546bc31ac (diff)
general code formatting cleanup in shell scripts
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/handle')
-rwxr-xr-xscript/handle/make/config5
-rwxr-xr-xscript/handle/make/file13
2 files changed, 8 insertions, 10 deletions
diff --git a/script/handle/make/config b/script/handle/make/config
index 72cba193..0ae7796f 100755
--- a/script/handle/make/config
+++ b/script/handle/make/config
@@ -71,9 +71,8 @@ handle_targets()
handle_defconfig || fail "error handling config file"
done
- if [ "${mode}" = "all" ]; then
- printf "Done! The files are stored under %s/\n\n" "${elfdir}"
- fi
+ [ "${mode}" = "all" ] || return 0
+ printf "Done! The files are stored under %s/\n\n" "${elfdir}"
}
handle_defconfig()
diff --git a/script/handle/make/file b/script/handle/make/file
index 19807425..b76eadcd 100755
--- a/script/handle/make/file
+++ b/script/handle/make/file
@@ -34,13 +34,12 @@ handle_dependencies()
[ -d "${project}" ] || \
err "handle_dependencies: ${project%/*} not downloaded"
- if [ "${project}" = "uefitool" ]; then
- (
- cd uefitool || err "handle_dependencies: !cd uefitool"
- cmake UEFIExtract/ || [ -f Makefile ] || \
- err "handle_dependencies: !cmake UEFIExtract/"
- )
- fi
+ [ "${project}" = "uefitool" ] || return 0 # TODO: remove hardcoding
+ (
+ cd uefitool || err "handle_dependencies: !cd uefitool"
+ cmake UEFIExtract/ || [ -f Makefile ] || \
+ err "handle_dependencies: !cmake UEFIExtract/"
+ )
}
run_make_command()